autoSave
Sets when edits are committed. When true, each validated change saves at once and fires onSave. When false, changes stay pending until a toolbar item with id: "save" runs - by default the Save button in the editor's toolbar.
Usage
autoSave?: boolean;
Default: false on Editor, true on Form (which has no save toolbar of its own).
Example
import { Editor, Willow } from "@svar-ui/react-editor";
const items = [{ comp: "text", key: "name", label: "Name" }];
const values = { name: "John Doe" };
export default function App() {
return (
<Willow>
<Editor
items={items}
values={values}
autoSave
onSave={({ changes, values }) => console.log(changes, values)}
/>
</Willow>
);
}

autoSave
Sets when edits are committed. When true, each validated change saves at once and fires onsave. When false, changes stay pending until a toolbar item with id: "save" runs - by default the Save button in the editor's toolbar.
Usage
autoSave?: boolean;
Default: false on Editor, true on Form (which has no save toolbar of its own).
Example
<script setup>
import { Editor, Willow } from "@svar-ui/vue-editor";
const items = [{ comp: "text", key: "name", label: "Name" }];
const values = { name: "John Doe" };
</script>
<template>
<Willow>
<Editor :items="items" :values="values" autoSave :onsave="({ changes, values }) => console.log(changes, values)" />
</Willow>
</template>